# eric6.Plugins.VcsPlugins.vcsMercurial.HgStatusMonitorThread

Module implementing the VCS status monitor thread class for Mercurial.

### Global Attributes

None

### Classes

HgStatusMonitorThread | Class implementing the VCS status monitor thread class for Mercurial.

### Functions

None

## HgStatusMonitorThread

Class implementing the VCS status monitor thread class for Mercurial.

### Derived from

VcsStatusMonitorThread

### Class Attributes

None

### Class Methods

None

### Methods

HgStatusMonitorThread | Constructor
__initClient | Private method to initialize the Mercurial client.
_getInfo | Protected method implementing the real info action.
_performMonitor | Protected method implementing the monitoring action.
_shutdown | Protected method performing shutdown actions.

### Static Methods

None

#### HgStatusMonitorThread (Constructor)

HgStatusMonitorThread(interval, project, vcs, parent=None)

Constructor

interval
  new interval in seconds (integer)
project
  reference to the project object (Project)
vcs
  reference to the version control object
parent
  reference to the parent object (QObject)

#### HgStatusMonitorThread.__initClient

__initClient()

Private method to initialize the Mercurial client.

#### HgStatusMonitorThread._getInfo

_getInfo()

Protected method implementing the real info action.

This method should be overridden and create a short info message to be shown in the main window status bar right next to the status indicator.

Returns:
  short info message

Return Type:
  str

#### HgStatusMonitorThread._performMonitor

_performMonitor()

Protected method implementing the monitoring action.

This method populates the statusList member variable with a list of strings giving the status in the first column and the path relative to the project directory starting with the third column. The allowed status flags are:

- "A" path was added but not yet comitted
- "M" path has local changes
- "O" path was removed
- "R" path was deleted and then re-added
- "U" path needs an update
- "Z" path contains a conflict
- " " path is back at normal

Returns:
  tuple of flag indicating successful operation (boolean) and a status message in case of non successful operation (string)

#### HgStatusMonitorThread._shutdown

_shutdown()

Protected method performing shutdown actions.

Up